Package org.alfresco.rest.model
Class RestVariableModelsCollection
- java.lang.Object
-
- org.alfresco.rest.core.RestModels<RestVariableModel,RestVariableModelsCollection>
-
- org.alfresco.rest.model.RestVariableModelsCollection
-
- All Implemented Interfaces:
IModelsCollectionAssertion<RestVariableModelsCollection>,IRestModelsCollection<RestVariableModel>
public class RestVariableModelsCollection extends RestModels<RestVariableModel,RestVariableModelsCollection>
Handles a collection ofJSON response Example: "variables": [ { "scope": "string", "name": "string", "value": 0, "type": "string" } ] - Author:
- Cristina Axinte
-
-
Constructor Summary
Constructors Constructor Description RestVariableModelsCollection()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description RestVariableModelgetVariableByName(java.lang.String variableName)-
Methods inherited from class org.alfresco.rest.core.RestModels
and, assertThat, getEntries, getEntryByIndex, getOneRandomEntry, getPagination, isEmpty, setPagination, when
-
-
-
-
Method Detail
-
getVariableByName
public RestVariableModel getVariableByName(java.lang.String variableName)
-
-